[Discuss] phpBB 3.1.5 Release - Please Update

Do not post support requests, bug reports or feature requests. Discuss phpBB here. Non-phpBB related discussion goes in General Discussion!
Scam Warning
RobsPalace
Registered User
Posts: 3
Joined: Mon Jul 13, 2015 11:07 pm

Re: [Discuss] phpBB 3.1.5 Release - Please Update

Post by RobsPalace » Wed Jul 15, 2015 4:45 am

As i looked not really seeing some of the extentions that can replace the mods currently used (eg.social networking & logins, online gaming username gamertags, ads support, to name a few) and a couple more that i did find most of what i have are very used on the board i use....and since the board is changing to 3.1 will this effect the way off board sessions work (eg. external login from website, page feeds from board) the styles i can work with easier just backend is focus point
Sorry if i sound like an idiot asking..

deseree
Registered User
Posts: 34
Joined: Mon Jul 14, 2014 6:56 pm

Re: [Discuss] phpBB 3.1.5 Release - Please Update

Post by deseree » Fri Jul 17, 2015 12:45 pm

Good morning and hope you could help me out as my kind host has been trying to help me and come to a blank, which might be a simple thing but here you go.. then message they just sent to me . THANK YOU in advance :D :D

They are going to stick with me and help me through things too but your input would be just brilliant as determined to get this sorted

I did send them links you had put on about errors but

Deseree xooxoxoxo (hope posted everything you need as not very good with been a newbie)

www.nookyforum.com is my board if you need it :)

Hello Karen,

I've tried to update the forum for you but unfortunately its failed due to the following error

[17-Jul-2015 09:52:28 UTC] PHP Fatal error: Uncaught exception 'ReflectionException' with message 'Class phpbb\cache\driver\file does not exist' in /home/*********/public_html/vendor/symfony/dependency-injection/Symfony/Component/DependencyInjection/ContainerBuilder.php:957
Stack trace:
#0 /home/*******/public_html/vendor/symfony/dependency-injection/Symfony/Component/DependencyInjection/ContainerBuilder.php(957): ReflectionClass->__construct('phpbb\cache\dri...')
#1 /home/*********/public_html/vendor/symfony/dependency-injection/Symfony/Component/DependencyInjection/ContainerBuilder.php(490): Symfony\Component\DependencyInjection\ContainerBuilder->createService(Object(Symfony\Component\DependencyInjection\Definition), 'cache.driver')
#2 /home/*******/public_html/vendor/symfony/dependency-injection/Symfony/Component/DependencyInjection/ContainerBuilder.php(1005): Symfony\Component\DependencyInjection\ContainerBuilder->get('cache.driver', 1)
#3 /home/**********/public_html/vendor/symfony/dependency-injection/Symfony/Component/DependencyInjection/ContainerBuild in /home/********/public_html/vendor/symfony/dependency-injection/Symfony/Component/DependencyInjection/ContainerBuilder.php on line 957

At this stage I would recommend requesting assistance from the phpBB forums as our support scope does not really cover issues with upgrading specific scripts and you would need a developer who is aware of how phpBB works to do the upgrade for you.

Meanwhile I've removed the install directory and your forum is loading fine.

I did send them this i found on here Please note: but they said we did not even get to that stage :?

Hello Karen,

I have already seen that however we don't even reach that stage, the upgrade process is failing before that.
You may run into a conflict warning when using the automatic update package. We recommend you resolve the conflict by picking "Do not merge - use new file". If you have made custom changes to the file "includes/acp/acp_prune.php" or would like further information, please read the corresponding sticky topic in our support forum. (viewtopic.php?f=466&t=2269196#315conflict)

User avatar
KevC
Support Team Member
Support Team Member
Posts: 69431
Joined: Fri Jun 04, 2004 10:44 am
Location: Oxford, UK
Contact:

Re: [Discuss] phpBB 3.1.5 Release - Please Update

Post by KevC » Fri Jul 17, 2015 1:32 pm

deseree wrote:Good morning and hope you could help me out as my kind host has been trying to help me and come to a blank, which might be a simple thing but here you go.. then message they just sent to me . THANK YOU in advance
Please start a new topic in the 3.1 support forum
-:|:- Support Request Template -:|:-
Image
Cheap UK Hosting
"In the land of the blind the little green bloke with no pupils is king - init!"

deseree
Registered User
Posts: 34
Joined: Mon Jul 14, 2014 6:56 pm

Re: [Discuss] phpBB 3.1.5 Release - Please Update

Post by deseree » Fri Jul 17, 2015 4:13 pm

:D :D TY Kev all done
Deseree xoxo

steelersmb
Registered User
Posts: 14
Joined: Thu Mar 12, 2015 11:59 am

Re: [Discuss] phpBB 3.1.5 Release - Please Update

Post by steelersmb » Fri Jul 24, 2015 2:01 pm

When I try to update from 3.13 to 3.15 I get an error message:

Warning: require(./../includes/startup.php): failed to open stream: No such file or directory in /home3/medipro/public_html/phpbb/install/index.php on line 42

Warning: require(./../includes/startup.php): failed to open stream: No such file or directory in /home3/medipro/public_html/phpbb/install/index.php on line 42

Fatal error: require(): Failed opening required './../includes/startup.php' (include_path='.:/opt/php54/lib/php') in /home3/medipro/public_html/phpbb/install/index.php on line 42

Are there instructions somewhere to do a manual update?

User avatar
KevC
Support Team Member
Support Team Member
Posts: 69431
Joined: Fri Jun 04, 2004 10:44 am
Location: Oxford, UK
Contact:

Re: [Discuss] phpBB 3.1.5 Release - Please Update

Post by KevC » Fri Jul 24, 2015 2:06 pm

Please start a support topic and clearly state if it's 3.0.13 or 3.1.3 you're updating from as there isn't a 3.13.
-:|:- Support Request Template -:|:-
Image
Cheap UK Hosting
"In the land of the blind the little green bloke with no pupils is king - init!"

User avatar
Ancient Viking
Registered User
Posts: 425
Joined: Sun Jan 15, 2012 11:43 pm

Re: [Discuss] phpBB 3.1.5 Release - Please Update

Post by Ancient Viking » Mon Aug 10, 2015 9:21 am

I just got an e-mail about updating and I know it's a fake. I thought the phpBB-team should know about it.
phpbbspprt840 at gmail dot com wrote:Hello,

phpBB 3.1.5 is now available , please be sure to backup your forum before staring in the update process .

we are happy to help you in updating your forum safely, please reply to this email if you are interested in our paid sevices .

Thank you
Thanks for the update. :D
My local forum: egetforum.nu - Offline Forum Online!

User avatar
HiFiKabin
Community Team Member
Community Team Member
Posts: 4066
Joined: Wed May 14, 2014 9:10 am
Location: Swearing at the PC, UK
Name: James
Contact:

Re: [Discuss] phpBB 3.1.5 Release - Please Update

Post by HiFiKabin » Mon Aug 10, 2015 9:35 am

Address for reporting such emails are in this topic

lknhan
Registered User
Posts: 400
Joined: Mon Dec 15, 2003 1:15 am

Re: [Discuss] phpBB 3.1.5 Release - Please Update

Post by lknhan » Fri Aug 14, 2015 3:47 am

When I upgrade to 3.1.5. It show this error:

Code: Select all

[phpBB Debug] PHP Warning: in file [ROOT]/install/database_update.php on line 220: array_merge() [function.array-merge]: Argument #2 is not an array
Help me

User avatar
david63
Registered User
Posts: 16722
Joined: Thu Dec 19, 2002 8:08 am
Location: Lancashire, UK
Name: David Wood
Contact:

Re: [Discuss] phpBB 3.1.5 Release - Please Update

Post by david63 » Fri Aug 14, 2015 5:30 am

lknhan wrote:When I upgrade to 3.1.5. It show this error:

Code: Select all

[phpBB Debug] PHP Warning: in file [ROOT]/install/database_update.php on line 220: array_merge() [function.array-merge]: Argument #2 is not an array
Help me
You should create a new support topic for this
David
Remember: You only know what you know and - you don't know what you don't know!
My CDB Contributions | How to install an extension
I will not be accepting translations for any of my extensions in Github - please post any translations in the appropriate topic.
No support requests via PM or email as they will be ignored

User avatar
Andrew Clarkson
Registered User
Posts: 244
Joined: Wed Dec 10, 2003 6:05 pm
Location: Morecambe, England, UK
Contact:

Re: [Discuss] phpBB 3.1.5 Release - Please Update

Post by Andrew Clarkson » Fri Sep 25, 2015 1:41 pm

All,

I've currently running 3.0.12, will I need to install 3.0.13 first, or will the 3.0.14 update take care of both updates?

Thanks
Andrew Clarkson

Titanic Titanic

User avatar
watisnf.nl
Registered User
Posts: 607
Joined: Sat Mar 13, 2010 12:53 pm
Location: The Netherlands
Name: David
Contact:

Re: [Discuss] phpBB 3.1.5 Release - Please Update

Post by watisnf.nl » Fri Sep 25, 2015 1:45 pm

Andrew Clarkson wrote:All,

I've currently running 3.0.12, will I need to install 3.0.13 first, or will the 3.0.14 update take care of both updates?

Thanks
To which update do you want to go? If it is 3.0.15 you can directly go to 3.0.15 with the automatic update package.

If you want to go to 3.1.6 you can directly go to that with: https://www.phpbb.com/support/docs/en/3 ... /upgrade3/ keep in mind that a modified board will lose his modifications. You need to make a kind of plan to update from 3.0 to 3.1 ;)
Dutch Translator | Looking for, Dutch extensions translations

User avatar
Andrew Clarkson
Registered User
Posts: 244
Joined: Wed Dec 10, 2003 6:05 pm
Location: Morecambe, England, UK
Contact:

Re: [Discuss] phpBB 3.1.5 Release - Please Update

Post by Andrew Clarkson » Fri Sep 25, 2015 1:52 pm

watisnf.nl wrote:
Andrew Clarkson wrote:All,

I've currently running 3.0.12, will I need to install 3.0.13 first, or will the 3.0.14 update take care of both updates?

Thanks
To which update do you want to go? If it is 3.0.15 you can directly go to 3.0.15 with the automatic update package.

If you want to go to 3.1.6 you can directly go to that with: https://www.phpbb.com/support/docs/en/3 ... /upgrade3/ keep in mind that a modified board will lose his modifications. You need to make a kind of plan to update from 3.0 to 3.1 ;)
Thanks for that - my forum is showing current = 3.0.12, and latest as 3.0.14.
Andrew Clarkson

Titanic Titanic

User avatar
watisnf.nl
Registered User
Posts: 607
Joined: Sat Mar 13, 2010 12:53 pm
Location: The Netherlands
Name: David
Contact:

Re: [Discuss] phpBB 3.1.5 Release - Please Update

Post by watisnf.nl » Fri Sep 25, 2015 1:55 pm

Andrew Clarkson wrote:
watisnf.nl wrote:
Andrew Clarkson wrote:All,

I've currently running 3.0.12, will I need to install 3.0.13 first, or will the 3.0.14 update take care of both updates?

Thanks
To which update do you want to go? If it is 3.0.15 you can directly go to 3.0.15 with the automatic update package.

If you want to go to 3.1.6 you can directly go to that with: https://www.phpbb.com/support/docs/en/3 ... /upgrade3/ keep in mind that a modified board will lose his modifications. You need to make a kind of plan to update from 3.0 to 3.1 ;)
Thanks for that - my forum is showing current = 3.0.12, and latest as 3.0.14.
I'm sorry that is correct, the 3.0 branch latest version is 3.0.14. I'm not sure what I was thinking ;)

By the way, this is the wrong topic...
Last edited by darcie on Tue Sep 29, 2015 4:38 am, edited 1 time in total.
Reason: Closed to prevent further replies as 3.1.6 is the latest.
Dutch Translator | Looking for, Dutch extensions translations

Locked

Return to “phpBB Discussion”